Subject: bug#12548: 24.2.50; Eager macro-expansion skipped due to cycle

From: Glenn Morris <[email-masked]>
Date: Wed, 03 Oct 2012 03:06:36 -0400

Stefan Monnier wrote:

> The best fix I can think of is to ban cl.el's dolist, but I have the
> strange feeling this suggestion is not going to fly.

You mean, drop cl.el's alias of dolist to cl-dolist? Irrespective, it
would be good to do that to remove the confusion of having two
"dolist"s. I guess it depends whether anyone was actually intentionally
requiring cl to get the cl version of dolist...

For the erc one, looks like just moving erc-log and erc-with-buffer from
erc to erc-backend (or a new erc-macs) would solve it. erc requires
erc-backend, so this could not cause any problems other than aesthetic
ones.